Package org.apache.storm.sql.compiler

## Class CompilerUtil.TableBuilderInfo

- java.lang.Object
- - org.apache.storm.sql.compiler.CompilerUtil.TableBuilderInfo

- Enclosing class:
    CompilerUtil

      public static class CompilerUtil.TableBuilderInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableBuilderInfo​(org.apache.calcite.rel.type.RelDataTypeFactory typeFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.calcite.schema.StreamableTable` | `build()` |
    `CompilerUtil.TableBuilderInfo` | `field​(String name, org.apache.calcite.rel.type.RelDataType type)` |
    `CompilerUtil.TableBuilderInfo` | `field​(String name, org.apache.calcite.rel.type.RelDataType type, ColumnConstraint constraint)` |
    `CompilerUtil.TableBuilderInfo` | `field​(String name, org.apache.calcite.sql.SqlDataTypeSpec type, ColumnConstraint constraint)` |
    `CompilerUtil.TableBuilderInfo` | `field​(String name, org.apache.calcite.sql.type.SqlTypeName type)` |
    `CompilerUtil.TableBuilderInfo` | `field​(String name, org.apache.calcite.sql.type.SqlTypeName type, ColumnConstraint constraint)` |
    `CompilerUtil.TableBuilderInfo` | `parallelismHint​(int parallelismHint)` |
    `CompilerUtil.TableBuilderInfo` | `rows​(Object[] data)` |
    `CompilerUtil.TableBuilderInfo` | `statistics​(org.apache.calcite.schema.Statistic stats)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableBuilderInfo

          public TableBuilderInfo​(org.apache.calcite.rel.type.RelDataTypeFactory typeFactory)

  - ### Method Detail

    - #### field

          public CompilerUtil.TableBuilderInfo field​(String name,
                                                     org.apache.calcite.sql.type.SqlTypeName type)

    - #### field

          public CompilerUtil.TableBuilderInfo field​(String name,
                                                     org.apache.calcite.rel.type.RelDataType type)

    - #### field

          public CompilerUtil.TableBuilderInfo field​(String name,
                                                     org.apache.calcite.sql.type.SqlTypeName type,
                                                     ColumnConstraint constraint)

    - #### field

          public CompilerUtil.TableBuilderInfo field​(String name,
                                                     org.apache.calcite.rel.type.RelDataType type,
                                                     ColumnConstraint constraint)

    - #### field

          public CompilerUtil.TableBuilderInfo field​(String name,
                                                     org.apache.calcite.sql.SqlDataTypeSpec type,
                                                     ColumnConstraint constraint)

    - #### statistics

          public CompilerUtil.TableBuilderInfo statistics​(org.apache.calcite.schema.Statistic stats)

    - #### rows

          public CompilerUtil.TableBuilderInfo rows​(Object[] data)

    - #### parallelismHint

          public CompilerUtil.TableBuilderInfo parallelismHint​(int parallelismHint)

    - #### build

          public org.apache.calcite.schema.StreamableTable build()